Search:

# CWIS Developers Documentation

Public Member Functions | Static Public Member Functions | Public Attributes

# FormTool Class Reference

## Public Member Functions
| FormTool ($FormFields, $AdditionalErrorMessages=NULL)
| ValueForField ($FieldName, $NewValue=NULL)
| AllRequiredVarsAreSet ()
| GetValsAsUrlParams ($IncludePasswords=FALSE)
| SetFieldValuesFromUrlParams ()
| IncomingFieldValuesHaveErrors ()
| GetErrorCodesAsUrlParams ()
| SetAdditionalErrorFields ($FieldNames)
| SetAdditionalErrorCodes ($Codes)
| GetUrlWithValuesAndErrorCodes ($BaseUrl, $IncludePasswords=FALSE)
| GetErrorMessages ($EliminateDuplicateMessages=TRUE)
| PrintField ($FieldName)
| PrintLabelForField ($FieldName)
| PrintInputForField ($FieldName)
| ErrorCodesAvailable ()
| CheckFieldValue ($FieldName)
## Static Public Member Functions
static | GetArrayOfUsStates ()
## Public Attributes
| $Fields
| $ErrorColor
| $AdditionalErrorCodes
| $AdditionalErrorFields
| $AdditionalErrorMessages

List of all members.

## Detailed Description

Definition at line 11 of file FormTool.php.

## Member Function Documentation

FormTool::AllRequiredVarsAreSet | ( | ) |

Definition at line 48 of file FormTool.php.

FormTool::CheckFieldValue | ( | $ | FieldName ) |

Definition at line 400 of file FormTool.php.

Referenced by GetErrorCodesAsUrlParams(), PrintField(), PrintInputForField(), and PrintLabelForField().

Here is the caller graph for this function:

FormTool::ErrorCodesAvailable | ( | ) |

Definition at line 326 of file FormTool.php.

Referenced by PrintField(), PrintInputForField(), and PrintLabelForField().

Here is the caller graph for this function:

FormTool::FormTool | ( | $ | FormFields,
|  | $ | AdditionalErrorMessages = `NULL`
| ) |  |

Definition at line 16 of file FormTool.php.

References $AdditionalErrorMessages.

static FormTool::GetArrayOfUsStates | ( | ) | `[static]`

Definition at line 332 of file FormTool.php.

FormTool::GetErrorCodesAsUrlParams | ( | ) |

Definition at line 121 of file FormTool.php.

References CheckFieldValue().

Referenced by GetUrlWithValuesAndErrorCodes(), and IncomingFieldValuesHaveErrors().

Here is the caller graph for this function:

FormTool::GetErrorMessages | ( | $ | EliminateDuplicateMessages = `TRUE` ) |

Definition at line 234 of file FormTool.php.

FormTool::GetUrlWithValuesAndErrorCodes | ( | $ | BaseUrl,
|  | $ | IncludePasswords = `FALSE`
| ) |  |

Definition at line 222 of file FormTool.php.

References GetErrorCodesAsUrlParams(), and GetValsAsUrlParams().

FormTool::GetValsAsUrlParams | ( | $ | IncludePasswords = `FALSE` ) |

Definition at line 72 of file FormTool.php.

Referenced by GetUrlWithValuesAndErrorCodes().

Here is the caller graph for this function:

FormTool::IncomingFieldValuesHaveErrors | ( | ) |

Definition at line 112 of file FormTool.php.

References GetErrorCodesAsUrlParams().

FormTool::PrintField | ( | $ | FieldName ) |

Definition at line 306 of file FormTool.php.

References CheckFieldValue(), and ErrorCodesAvailable().

FormTool::PrintInputForField | ( | $ | FieldName ) |

Definition at line 318 of file FormTool.php.

References CheckFieldValue(), and ErrorCodesAvailable().

FormTool::PrintLabelForField | ( | $ | FieldName ) |

Definition at line 312 of file FormTool.php.

References CheckFieldValue(), and ErrorCodesAvailable().

FormTool::SetAdditionalErrorCodes | ( | $ | Codes ) |

Definition at line 202 of file FormTool.php.

FormTool::SetAdditionalErrorFields | ( | $ | FieldNames ) |

Definition at line 183 of file FormTool.php.

FormTool::SetFieldValuesFromUrlParams | ( | ) |

Definition at line 97 of file FormTool.php.

FormTool::ValueForField | ( | $ | FieldName,
|  | $ | NewValue = `NULL`
| ) |  |

Definition at line 42 of file FormTool.php.

## Member Data Documentation

FormTool::$AdditionalErrorCodes

Definition at line 395 of file FormTool.php.

FormTool::$AdditionalErrorFields

Definition at line 396 of file FormTool.php.

FormTool::$AdditionalErrorMessages

Definition at line 397 of file FormTool.php.

Referenced by FormTool().

FormTool::$ErrorColor

Definition at line 394 of file FormTool.php.

FormTool::$Fields

Definition at line 393 of file FormTool.php.

The documentation for this class was generated from the following file:

- FormTool.php